<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: Admin::WorksController</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">Admin::WorksController</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../../files/app/controllers/admin/works_controller_rb.html">
                app/controllers/admin/works_controller.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                <a href="../ApplicationController.html">
                ApplicationController
               </a>
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000097">add_comment</a>&nbsp;&nbsp;
      <a href="#M000090">add_edition</a>&nbsp;&nbsp;
      <a href="#M000086">add_location</a>&nbsp;&nbsp;
      <a href="#M000096">compare_version</a>&nbsp;&nbsp;
      <a href="#M000083">create</a>&nbsp;&nbsp;
      <a href="#M000094">destroy</a>&nbsp;&nbsp;
      <a href="#M000084">edit</a>&nbsp;&nbsp;
      <a href="#M000091">edit_edition</a>&nbsp;&nbsp;
      <a href="#M000087">edit_location</a>&nbsp;&nbsp;
      <a href="#M000079">index</a>&nbsp;&nbsp;
      <a href="#M000080">list</a>&nbsp;&nbsp;
      <a href="#M000082">new</a>&nbsp;&nbsp;
      <a href="#M000089">remove_edition</a>&nbsp;&nbsp;
      <a href="#M000085">remove_location</a>&nbsp;&nbsp;
      <a href="#M000095">revert_to_version</a>&nbsp;&nbsp;
      <a href="#M000081">show</a>&nbsp;&nbsp;
      <a href="#M000093">update</a>&nbsp;&nbsp;
      <a href="#M000092">update_edition</a>&nbsp;&nbsp;
      <a href="#M000088">update_location</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000097" class="method-detail">
        <a name="M000097"></a>

        <div class="method-heading">
          <a href="#M000097" class="method-signature">
          <span class="method-name">add_comment</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000097-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000097-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 155</span>
155:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_comment</span>
156:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:commit</span>] <span class="ruby-operator">==</span> <span class="ruby-value str">'Cancel'</span>
157:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
158:       <span class="ruby-keyword kw">return</span>
159:     <span class="ruby-keyword kw">end</span>
160:     <span class="ruby-ivar">@errors</span> = {}
161:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
162:     <span class="ruby-ivar">@text</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:text</span>]
163:     <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">unless</span> <span class="ruby-identifier">request</span>.<span class="ruby-identifier">post?</span>
164:     <span class="ruby-identifier">c</span> = <span class="ruby-constant">Addition</span>.<span class="ruby-identifier">new</span>
165:     <span class="ruby-identifier">c</span>.<span class="ruby-identifier">text</span> = <span class="ruby-ivar">@text</span>
166:     <span class="ruby-identifier">c</span>.<span class="ruby-identifier">user_id</span> = <span class="ruby-identifier">session</span>[<span class="ruby-identifier">:user_id</span>]
167:     <span class="ruby-identifier">c</span>.<span class="ruby-identifier">work</span> = <span class="ruby-ivar">@work</span>
168:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">c</span>.<span class="ruby-identifier">save</span>
169:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@work</span>
170:     <span class="ruby-keyword kw">else</span>
171:       <span class="ruby-ivar">@errors</span>[<span class="ruby-identifier">:text</span>] = <span class="ruby-identifier">c</span>.<span class="ruby-identifier">errors</span>.<span class="ruby-identifier">on</span> <span class="ruby-identifier">:text</span>
172:     <span class="ruby-keyword kw">end</span>
173:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000090" class="method-detail">
        <a name="M000090"></a>

        <div class="method-heading">
          <a href="#M000090" class="method-signature">
          <span class="method-name">add_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000090-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000090-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 86</span>
86:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_edition</span>
87:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Add edition submitted&quot;</span>
88:     <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">new</span>
89:     <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
90:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit_edition'</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
91:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000086" class="method-detail">
        <a name="M000086"></a>

        <div class="method-heading">
          <a href="#M000086" class="method-signature">
          <span class="method-name">add_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000086-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000086-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 56</span>
56:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_location</span>
57:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Add location submitted&quot;</span>
58:     <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">new</span>
59:     <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
60:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;edit_location&quot;</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
61:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000096" class="method-detail">
        <a name="M000096"></a>

        <div class="method-heading">
          <a href="#M000096" class="method-signature">
          <span class="method-name">compare_version</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000096-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000096-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 149</span>
149:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">compare_version</span>
150:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>( <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>] )
151:     <span class="ruby-ivar">@version</span> = <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">versions</span>[<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:version_id</span>].<span class="ruby-identifier">to_i</span> <span class="ruby-operator">-</span> <span class="ruby-value">1</span>]
152:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>
153:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000083" class="method-detail">
        <a name="M000083"></a>

        <div class="method-heading">
          <a href="#M000083" class="method-signature">
          <span class="method-name">create</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000083-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000083-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 34</span>
34:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">create</span>
35:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">new</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:works</span>])
36:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">save</span>
37:       <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notice</span>] = <span class="ruby-value str">'Work was successfully created.'</span>
38:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
39:     <span class="ruby-keyword kw">else</span>
40:       <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'new'</span>
41:     <span class="ruby-keyword kw">end</span>
42:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000094" class="method-detail">
        <a name="M000094"></a>

        <div class="method-heading">
          <a href="#M000094" class="method-signature">
          <span class="method-name">destroy</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000094-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000094-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 138</span>
138:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">destroy</span>
139:     <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]).<span class="ruby-identifier">destroy</span>
140:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
141:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000084" class="method-detail">
        <a name="M000084"></a>

        <div class="method-heading">
          <a href="#M000084" class="method-signature">
          <span class="method-name">edit</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000084-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000084-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 44</span>
44:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">edit</span>
45:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
46:     <span class="ruby-ivar">@composers</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">:all</span>).<span class="ruby-identifier">map</span> {<span class="ruby-operator">|</span><span class="ruby-identifier">c</span><span class="ruby-operator">|</span> [<span class="ruby-identifier">c</span>.<span class="ruby-identifier">full_name</span>, <span class="ruby-identifier">c</span>.<span class="ruby-identifier">id</span>]}
47:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000091" class="method-detail">
        <a name="M000091"></a>

        <div class="method-heading">
          <a href="#M000091" class="method-signature">
          <span class="method-name">edit_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000091-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000091-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 92</span>
92:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">edit_edition</span>
93:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Edit edition submitted&quot;</span>
94:     <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:edition_id</span>])
95:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;edit_edition&quot;</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
96:    <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000087" class="method-detail">
        <a name="M000087"></a>

        <div class="method-heading">
          <a href="#M000087" class="method-signature">
          <span class="method-name">edit_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000087-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000087-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 62</span>
62:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">edit_location</span>
63:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Edit location submitted&quot;</span>
64:     <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:location_id</span>])
65:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;edit_location&quot;</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
66:    <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000079" class="method-detail">
        <a name="M000079"></a>

        <div class="method-heading">
          <a href="#M000079" class="method-signature">
          <span class="method-name">index</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000079-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000079-source">
<pre>
   <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 2</span>
2:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">index</span>
3:     <span class="ruby-identifier">list</span>
4:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
5:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000080" class="method-detail">
        <a name="M000080"></a>

        <div class="method-heading">
          <a href="#M000080" class="method-signature">
          <span class="method-name">list</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000080-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000080-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 11</span>
11:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">list</span>
12:     <span class="ruby-ivar">@order</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:order</span>]
13:     <span class="ruby-ivar">@next_order</span> = {}
14:     <span class="ruby-keyword kw">for</span> <span class="ruby-identifier">column</span> <span class="ruby-keyword kw">in</span> <span class="ruby-constant">Work</span>.<span class="ruby-identifier">content_columns</span> 
15:       <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@order</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' asc'</span>
16:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span>] = <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' desc'</span>
17:       <span class="ruby-keyword kw">elsif</span> <span class="ruby-ivar">@order</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' desc'</span>
18:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span>] = <span class="ruby-keyword kw">nil</span>
19:       <span class="ruby-keyword kw">else</span>
20:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span>] = <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' asc'</span>
21:       <span class="ruby-keyword kw">end</span>
22:     <span class="ruby-keyword kw">end</span>
23:     <span class="ruby-ivar">@work_pages</span>, <span class="ruby-ivar">@works</span> = <span class="ruby-identifier">paginate</span> <span class="ruby-identifier">:works</span>, <span class="ruby-identifier">:per_page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value">20</span>, <span class="ruby-identifier">:order</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@order</span>
24:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000082" class="method-detail">
        <a name="M000082"></a>

        <div class="method-heading">
          <a href="#M000082" class="method-signature">
          <span class="method-name">new</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000082-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000082-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 30</span>
30:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">new</span>
31:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">new</span>
32:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000089" class="method-detail">
        <a name="M000089"></a>

        <div class="method-heading">
          <a href="#M000089" class="method-signature">
          <span class="method-name">remove_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000089-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000089-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 80</span>
80:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">remove_edition</span>
81:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;remove edition submitted&quot;</span>
82:     <span class="ruby-identifier">edition</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:edition_id</span>])
83:     <span class="ruby-identifier">edition</span>.<span class="ruby-identifier">destroy</span>
84:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
85:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000085" class="method-detail">
        <a name="M000085"></a>

        <div class="method-heading">
          <a href="#M000085" class="method-signature">
          <span class="method-name">remove_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000085-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000085-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 49</span>
49:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">remove_location</span>
50:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;remove location submitted&quot;</span>
51:     <span class="ruby-identifier">location</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:location_id</span>])
52:     <span class="ruby-identifier">location</span>.<span class="ruby-identifier">destroy</span>
53:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
54:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000095" class="method-detail">
        <a name="M000095"></a>

        <div class="method-heading">
          <a href="#M000095" class="method-signature">
          <span class="method-name">revert_to_version</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000095-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000095-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 143</span>
143:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">revert_to_version</span>
144:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>( <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>] )
145:     <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">revert_to!</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:version_id</span>]
146:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
147:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000081" class="method-detail">
        <a name="M000081"></a>

        <div class="method-heading">
          <a href="#M000081" class="method-signature">
          <span class="method-name">show</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000081-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000081-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 26</span>
26:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">show</span>
27:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
28:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000093" class="method-detail">
        <a name="M000093"></a>

        <div class="method-heading">
          <a href="#M000093" class="method-signature">
          <span class="method-name">update</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000093-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000093-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 112</span>
112:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update</span>
113:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
114:     <span class="ruby-identifier">success</span> = <span class="ruby-keyword kw">false</span>
115:     <span class="ruby-keyword kw">case</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:submit</span>]
116:       <span class="ruby-keyword kw">when</span> <span class="ruby-value str">&quot;Save&quot;</span>
117:         <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Save submitted&quot;</span>
118:         <span class="ruby-identifier">success</span> = <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>])
119:         <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:locations</span>]
120:           <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:locations</span>].<span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">id</span>, <span class="ruby-identifier">value</span><span class="ruby-operator">|</span>
121:             <span class="ruby-identifier">lw</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">id</span>)
122:             <span class="ruby-identifier">lw</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">value</span>)
123:           <span class="ruby-keyword kw">end</span>
124:         <span class="ruby-keyword kw">end</span>
125:         
126:       <span class="ruby-keyword kw">when</span> <span class="ruby-value str">&quot;Save and version&quot;</span>
127:         <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Save and version submitted&quot;</span>
128:         <span class="ruby-identifier">success</span> = <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>])
129:     <span class="ruby-keyword kw">end</span>
130:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">success</span>
131:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@work</span>
132:     <span class="ruby-keyword kw">else</span>
133:       <span class="ruby-ivar">@composers</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">:all</span>).<span class="ruby-identifier">map</span> {<span class="ruby-operator">|</span><span class="ruby-identifier">c</span><span class="ruby-operator">|</span> [<span class="ruby-identifier">c</span>.<span class="ruby-identifier">full_name</span>, <span class="ruby-identifier">c</span>.<span class="ruby-identifier">id</span>]}
134:       <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit'</span>
135:     <span class="ruby-keyword kw">end</span>
136:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000092" class="method-detail">
        <a name="M000092"></a>

        <div class="method-heading">
          <a href="#M000092" class="method-signature">
          <span class="method-name">update_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000092-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000092-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 97</span>
 97:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update_edition</span>
 98:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Update edition submitted&quot;</span>
 99:     <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]) <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
100:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">nil?</span> 
101:       <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">new</span>
102:       <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>]
103:     <span class="ruby-keyword kw">end</span>
104:     <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:publishers_work</span> ])
105:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000088" class="method-detail">
        <a name="M000088"></a>

        <div class="method-heading">
          <a href="#M000088" class="method-signature">
          <span class="method-name">update_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000088-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000088-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/works_controller.rb, line 67</span>
67:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update_location</span>
68:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Update location submitted&quot;</span>
69:     <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]) <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
70:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">nil?</span> 
71:       <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">new</span>
72:       <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>]
73:     <span class="ruby-keyword kw">end</span>
74:     <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:libraries_work</span>])
75:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>